import { EventEmitter, OnInit } from '@angular/core';
import { ChartsConfig } from '../../config/charts-config';
import { GanttSeriesTooltipTemplateDirective } from '../../directives/gantt-templates.directive';
import { GanttInternalItemModel, GanttInternalSerieModel, GanttItemModel } from './models/gantt-item.model';
import * as i0 from "@angular/core";
export declare class GanttChartComponent implements OnInit {
    externalData: Array<GanttItemModel>;
    caption: string;
    tooltipPlacement: string;
    maxHeight: number;
    showFooter: boolean;
    showTodayIndicator: boolean;
    currentYear: number;
    onSelect: EventEmitter<any>;
    seriesTooltipTemplate: GanttSeriesTooltipTemplateDirective;
    identifier: string;
    locale?: string;
    emptyMessage?: string;
    internalData: Array<GanttInternalItemModel>;
    months: Array<string>;
    dayLabel: string;
    monthLabel: string;
    yearLabel: string;
    currentMonth: number;
    showingMouseIndicator: boolean;
    mouseMovingLastMonth: boolean;
    mouseIndicatorCoordinateX: number;
    todayIndicatorCoordinateX: number;
    dateIndicator: Date;
    colors: Array<string>;
    constructor(config: ChartsConfig);
    ngOnInit(): void;
    onResize(): void;
    onSerieSelected(item: GanttInternalItemModel, serie: GanttInternalSerieModel): void;
    onTimelineMouseMove(event: MouseEvent): void;
    onTimelineMouseEnter(): void;
    onTimelineMouseLeave(): void;
    private initData;
    private daysDiffFromSerie;
    private monthsDiffFromSerie;
    private initMonths;
    private initTimelineSizes;
    private initTodayIndicator;
    private handleTimelineSizes;
    static ɵfac: i0.ɵɵFactoryDeclaration<GanttChartComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GanttChartComponent, "gantt-chart", never, { "externalData": "data"; "caption": "caption"; "tooltipPlacement": "tooltipPlacement"; "maxHeight": "maxHeight"; "showFooter": "showFooter"; "showTodayIndicator": "showTodayIndicator"; "currentYear": "currentYear"; }, { "onSelect": "onSelect"; }, ["seriesTooltipTemplate"], never, false, never>;
}
