import { ColumnFilterModel } from './column-filter.model';
export declare class DataGridColumnModel {
    caption?: string;
    captionAlignment?: EnumAlignment;
    captionClasses?: string;
    data?: string;
    dataAlignment?: EnumAlignment;
    dataClasses?: string;
    width?: string;
    sortable?: boolean;
    sortDirection?: EnumSortDirection;
    sort?: DataGridSortingModel;
    enableTooltip?: boolean;
    isFiltersOpenned?: boolean;
    filterable?: boolean;
    index?: number;
    visible?: boolean;
    renderCaption?(): string;
    render?(row: any, currentData: any, rowIndex: number): string;
    renderOnPrint?(row: any, currentData: any, rowIndex: number): string;
    onClick?(row: any, currentData: any, rowIndex: number, column: DataGridColumnModel): void;
    /**
     * If true, a summary value will be displayed in a bottom summaries row, into the proper column.
     * @var name It must be a numeric property.
     */
    summarizable?: boolean;
    summaryPrefix?: string;
    simpleFilter?: ColumnFilterModel;
    customFilters?: ColumnFilterModel[];
}
export declare class DataGridSortingModel {
    sorting: boolean;
    sortDirection?: EnumSortDirection;
}
export declare enum EnumSortDirection {
    Ascending = "asc",
    Descending = "desc"
}
export declare enum EnumAlignment {
    Left = 0,
    Center = 1,
    Right = 2
}
