import { BsDatepickerInlineConfig, BsLocaleService } from 'ngx-bootstrap/datepicker';
import { DoCheck, EventEmitter, OnInit } from '@angular/core';
import { NgModel } from '@angular/forms';
import { ElementBase } from '../../base/element-base';
import { AsyncValidatorArray, ValidatorArray } from '../../base/validate';
import { InputFormsConfig } from '../../input-forms-config';
import { InputDateConfig } from '../input-date/input-date-config';
import * as i0 from "@angular/core";
export declare class FilterDateComponent extends ElementBase<Date> implements OnInit, DoCheck, InputDateConfig {
    config: InputFormsConfig;
    private localeService;
    minDate?: Date;
    maxDate?: Date;
    format?: string;
    theme?: string;
    clearSelectionButtonLabel: string;
    onChange: EventEmitter<Date>;
    model: NgModel;
    showDropdown: boolean;
    comboTouched: boolean;
    toggling: boolean;
    clickOutsideEnabled: boolean;
    locale?: string;
    bsConfig: Partial<BsDatepickerInlineConfig>;
    identifier: string;
    constructor(validators: ValidatorArray, asyncValidators: AsyncValidatorArray, config: InputFormsConfig, localeService: BsLocaleService);
    ngOnInit(): void;
    ngDoCheck(): void;
    onValueChange(value: any): void;
    toggleDropDown(event: MouseEvent, value?: boolean): void;
    onComboPressed(event: KeyboardEvent): void;
    clearSelection(e?: any): void;
    private setComboTouched;
    private handleInitialValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterDateComponent, [{ optional: true; }, { optional: true; }, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterDateComponent, "filter-date", never, { "minDate": "minDate"; "maxDate": "maxDate"; "format": "format"; "theme": "theme"; "clearSelectionButtonLabel": "clearSelectionButtonLabel"; }, { "onChange": "onChange"; }, never, never, false, never>;
}
