import { BsDatepickerConfig, BsDatepickerDirective, BsLocaleService } from 'ngx-bootstrap/datepicker';
import { DoCheck, EventEmitter, OnInit } from '@angular/core';
import { NgModel } from '@angular/forms';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { ElementBase } from '../../base/element-base';
import { AsyncValidatorArray, ValidatorArray } from '../../base/validate';
import { InputFormsConfig } from '../../input-forms-config';
import { InputDateConfig } from './input-date-config';
import * as i0 from "@angular/core";
export declare class InputDateComponent extends ElementBase<Date> implements OnInit, DoCheck, InputDateConfig {
    config: InputFormsConfig;
    private localeService;
    private domSanitizer;
    placeholder: string;
    minDate?: Date;
    maxDate?: Date;
    format?: string;
    showInputGroup?: boolean;
    inputGroupText?: string | SafeHtml;
    placement?: string;
    theme?: string;
    onChange: EventEmitter<Date>;
    datepicker: BsDatepickerDirective;
    model: NgModel;
    locale?: string;
    bsConfig: Partial<BsDatepickerConfig>;
    identifier: string;
    constructor(validators: ValidatorArray, asyncValidators: AsyncValidatorArray, config: InputFormsConfig, localeService: BsLocaleService, domSanitizer: DomSanitizer);
    ngOnInit(): void;
    ngDoCheck(): void;
    onValueChange(value: any): void;
    private handleInitialValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputDateComponent, [{ optional: true; }, { optional: true; }, null, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputDateComponent, "input-date", never, { "placeholder": "placeholder"; "minDate": "minDate"; "maxDate": "maxDate"; "format": "format"; "showInputGroup": "showInputGroup"; "inputGroupText": "inputGroupText"; "placement": "placement"; "theme": "theme"; }, { "onChange": "onChange"; }, never, never, false, never>;
}
