import { ModuleWithProviders } from '@angular/core';
import { InputFormsConfig } from './input-forms-config';
import * as i0 from "@angular/core";
import * as i1 from "./directives/max-value-validator.directive";
import * as i2 from "./directives/min-value-validator.directive";
import * as i3 from "./base/currency-symbol.pipe";
import * as i4 from "./components/input-text/input-text.component";
import * as i5 from "./components/input-validations/input-validations.component";
import * as i6 from "./components/input-select/input-select.component";
import * as i7 from "./components/input-email/input-email.component";
import * as i8 from "./components/input-textarea/input-textarea.component";
import * as i9 from "./components/input-checkbox/input-checkbox.component";
import * as i10 from "./components/input-radio/input-radio.component";
import * as i11 from "./components/input-currency/input-currency.component";
import * as i12 from "./components/input-percent/input-percent.component";
import * as i13 from "./components/input-number/input-number.component";
import * as i14 from "./components/input-date/input-date.component";
import * as i15 from "./components/input-upload/input-upload.component";
import * as i16 from "./components/radial-button/radial-button.component";
import * as i17 from "./components/input-multiselect/input-multiselect.component";
import * as i18 from "./components/input-month-year/input-month-year.component";
import * as i19 from "./components/input-switch/input-switch.component";
import * as i20 from "./components/input-dropdown-grid/input-dropdown-grid.component";
import * as i21 from "./components/block-ui/block-ui.component";
import * as i22 from "./components/input-dropdown-search/input-dropdown-search.component";
import * as i23 from "./components/input-text-mask/input-text-mask.component";
import * as i24 from "./components/filter-dropdown-search/filter-dropdown-search.component";
import * as i25 from "./components/filter-multiselect/filter-multiselect.component";
import * as i26 from "./components/filter-date/filter-date.component";
import * as i27 from "./masking/mask.directive";
import * as i28 from "./directives/currency/currency-mask.directive";
import * as i29 from "@angular/common";
import * as i30 from "@angular/forms";
import * as i31 from "@angular/common/http";
import * as i32 from "ng2-file-upload";
import * as i33 from "../ui/ui.module";
import * as i34 from "../data-grid/data-grid.module";
export { CurrencySymbolPipe } from './base/currency-symbol.pipe';
export { InputFormsConfig } from './input-forms-config';
export { InputTextComponent } from './components/input-text/input-text.component';
export { InputValidationsComponent } from './components/input-validations/input-validations.component';
export { InputSelectComponent } from './components/input-select/input-select.component';
export { InputEmailComponent } from './components/input-email/input-email.component';
export { InputMonthYearComponent } from './components/input-month-year/input-month-year.component';
export { InputTextareaComponent } from './components/input-textarea/input-textarea.component';
export { InputCheckboxComponent } from './components/input-checkbox/input-checkbox.component';
export { InputRadioComponent } from './components/input-radio/input-radio.component';
export { InputCurrencyComponent } from './components/input-currency/input-currency.component';
export { InputPercentComponent } from './components/input-percent/input-percent.component';
export { InputNumberComponent } from './components/input-number/input-number.component';
export { InputDateComponent } from './components/input-date/input-date.component';
export { InputDateConfig } from './components/input-date/input-date-config';
export { InputUploadComponent } from './components/input-upload/input-upload.component';
export { RadialButtonComponent } from './components/radial-button/radial-button.component';
export { InputMultiselectComponent } from './components/input-multiselect/input-multiselect.component';
export { InputSwitchComponent } from './components/input-switch/input-switch.component';
export { BlockUiComponent } from './components/block-ui/block-ui.component';
export { InputDropdownGridComponent } from './components/input-dropdown-grid/input-dropdown-grid.component';
export { InputDropdownSearchComponent } from './components/input-dropdown-search/input-dropdown-search.component';
export { InputTextMaskComponent } from './components/input-text-mask/input-text-mask.component';
export { MaxValueDirective } from './directives/max-value-validator.directive';
export { MinValueDirective } from './directives/min-value-validator.directive';
export { FilterDropdownSearchComponent } from './components/filter-dropdown-search/filter-dropdown-search.component';
export { FilterMultiselectComponent } from './components/filter-multiselect/filter-multiselect.component';
export { FilterDateComponent } from './components/filter-date/filter-date.component';
export { BlockUi } from './classes/block-ui';
export declare class NgxUiHeroInputFormsModule {
    static forRoot(config: InputFormsConfig): ModuleWithProviders<NgxUiHeroInputFormsModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxUiHeroInputFormsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgxUiHeroInputFormsModule, [typeof i1.MaxValueDirective, typeof i2.MinValueDirective, typeof i3.CurrencySymbolPipe, typeof i4.InputTextComponent, typeof i5.InputValidationsComponent, typeof i6.InputSelectComponent, typeof i7.InputEmailComponent, typeof i8.InputTextareaComponent, typeof i9.InputCheckboxComponent, typeof i10.InputRadioComponent, typeof i11.InputCurrencyComponent, typeof i12.InputPercentComponent, typeof i13.InputNumberComponent, typeof i14.InputDateComponent, typeof i15.InputUploadComponent, typeof i16.RadialButtonComponent, typeof i17.InputMultiselectComponent, typeof i18.InputMonthYearComponent, typeof i19.InputSwitchComponent, typeof i20.InputDropdownGridComponent, typeof i21.BlockUiComponent, typeof i22.InputDropdownSearchComponent, typeof i23.InputTextMaskComponent, typeof i24.FilterDropdownSearchComponent, typeof i25.FilterMultiselectComponent, typeof i26.FilterDateComponent, typeof i27.MaskDirective, typeof i28.CurrencyMaskDirective], [typeof i29.CommonModule, typeof i30.FormsModule, typeof i31.HttpClientModule, typeof i32.FileUploadModule, typeof i33.UiModule, typeof i34.NgxUiHeroDataGridModule], [typeof i1.MaxValueDirective, typeof i2.MinValueDirective, typeof i3.CurrencySymbolPipe, typeof i32.FileUploadModule, typeof i4.InputTextComponent, typeof i5.InputValidationsComponent, typeof i6.InputSelectComponent, typeof i7.InputEmailComponent, typeof i8.InputTextareaComponent, typeof i9.InputCheckboxComponent, typeof i10.InputRadioComponent, typeof i11.InputCurrencyComponent, typeof i12.InputPercentComponent, typeof i13.InputNumberComponent, typeof i14.InputDateComponent, typeof i15.InputUploadComponent, typeof i16.RadialButtonComponent, typeof i17.InputMultiselectComponent, typeof i18.InputMonthYearComponent, typeof i19.InputSwitchComponent, typeof i20.InputDropdownGridComponent, typeof i22.InputDropdownSearchComponent, typeof i23.InputTextMaskComponent, typeof i21.BlockUiComponent, typeof i24.FilterDropdownSearchComponent, typeof i25.FilterMultiselectComponent, typeof i26.FilterDateComponent, typeof i27.MaskDirective, typeof i28.CurrencyMaskDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgxUiHeroInputFormsModule>;
}
