import { ElementRef, EventEmitter, RendererFactory2 } from '@angular/core';
import { Router } from '@angular/router';
import { TutorialAction } from '../classes/tutorial-action';
import { TutorialTask } from '../classes/tutorial-task';
import * as i0 from "@angular/core";
export declare class TutorialService {
    private rendererFactory;
    private router;
    onStepChanged: EventEmitter<TutorialTask>;
    onStart: EventEmitter<any>;
    onExit: EventEmitter<any>;
    private _tasks;
    private _runningTasks;
    private _currentTaskIndex;
    private _render;
    private colorPlaceholder;
    private unlistenKeyboardArrows;
    private OVERLAY_ID;
    private BLOCKER_ID;
    private BLOCK_ID;
    private BLOCK_ARROW_ID;
    private BLOCK_TITLE_ID;
    private BLOCK_BODY_ID;
    private BLOCK_CONTROLS_ID;
    private BLOCK_CONTROL_PREV_ID;
    private BLOCK_CONTROL_NEXT_ID;
    private BLOCK_CONTROL_INFO_ID;
    private BLOCK_CONTROL_EXIT_ID;
    constructor(rendererFactory: RendererFactory2, router: Router);
    addAction(action: TutorialAction, element: ElementRef): void;
    playAll(): void;
    playByKey(key: string, onlyOnce?: boolean): void;
    moveNext(): void;
    movePrev(): void;
    exit(): void;
    resetTasks(): void;
    private play;
    private renderCurrentTask;
    private renderElement;
    private renderElementBlocker;
    private renderElementTutorialBlock;
    private renderElementColorWhiteIfText;
    private renderOverlay;
    private createOverLay;
    private createElementBlocker;
    private createTutorialBlockElement;
    private createTutorialBlockArrow;
    private createTutorialBlockTitleElement;
    private createTutorialBlockBodyElement;
    private createTutorialBlockControls;
    private createTutorialBlockPrevControl;
    private createTutorialBlockNextControl;
    private createTutorialBlockExitControl;
    private createTutorialBlockInfoControl;
    private destroyCurrentTask;
    private destroyOverlay;
    private destroyElementById;
    private handleTutorialBlockPosition;
    private setTutorialBlockPosition;
    private getNumberInPx;
    private scrollToCurrentElementBlock;
    private hideTutorialBlockElement;
    private fadeInTutorialBlockElement;
    private isCurrentBlockOnBottomOfScreen;
    private isCurrentBlockOnRightOfScreen;
    private isCurrentElementText;
    private notifyStepHasChanged;
    private startListeningKeyboardArrows;
    private stopListeningKeyboardArrows;
    private getLocalStorage;
    private setLocalStorage;
    static ɵfac: i0.ɵɵFactoryDeclaration<TutorialService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TutorialService>;
}
